//Application Window Component Constructor
function ApplicationWindow() {
	
	//create component instance
	var win = Ti.UI.createWindow({
		backgroundColor:'ffffff'
	});
	
	var btnAdd = Ti.UI.createButton( {
			title : 'Take a Photo',
			width : 200, height : 50
		} );
	btnAdd.addEventListener( 'click', takeImage );
	
	win.add(btnAdd);
	
	
	
	
	function takeImage(){
		Titanium.Media.showCamera({
			success:function(event) {
				// called when media returned from the camera
				Ti.API.debug('Our type was: '+event.mediaType);
				if(event.mediaType == Ti.Media.MEDIA_TYPE_PHOTO) {
					var imageView = Ti.UI.createImageView({
						width:win.width,
						height:win.height,
						image:event.media
					});
					win.add(imageView);
				} else {
					alert("got the wrong type back ="+event.mediaType);
				}
			},
			cancel:function() {
				// called when user cancels taking a picture
			},
			error:function(error) {
				// called when there's an error
				var a = Titanium.UI.createAlertDialog({title:'Camera'});
				if (error.code == Titanium.Media.NO_CAMERA) {
					a.setMessage('Please run this test on device');
				} else {
					a.setMessage('Unexpected error: ' + error.code);
				}
				a.show();
			},
		
			mediaTypes:[Ti.Media.MEDIA_TYPE_PHOTO]
		});
	}
	return win;
}

//make constructor function the public component interface
module.exports = ApplicationWindow;
